# WordPress Publish

Publishes Drupal content to a WordPress blog automatically or on a per-node basis.

## Features
- Publish nodes to WordPress via REST API.
- Configure field mappings for title, content, and taxonomy.
- Sync taxonomy terms to WordPress categories.
- Upload images/files to WordPress media library.
- Bulk publish via `drush wpb`.

## Requirements
- Drupal 10.3 or 11.0
- WordPress site with REST API enabled
- WordPress Application Passwords plugin (recommended)

## Installation
1. Install via Composer: `composer require drupal/wp_publish`
2. Enable the module: `drush en wp_publish`
3. Configure settings at `/admin/config/services/wp-publish`.

## Configuration
- Access settings at Configuration > Web services > WordPress Publish.
- Enter the WordPress site URL, username, and application password.
- Select content types to enable automatic publishing.
- Optionally, enable per-node publishing on node forms.

## Maintainers
- Bhavin Joshi - https://bhj.im/do
